aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2020-01-25 11:20:53 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2020-01-25 11:20:53 +0000
commit3756849289a449ff09e329aaa7e26fbd5739805e (patch)
tree83dbaabe92a403f989f53ae203c4476bd607f05e
parentcrossdev: refuse to install crossdev on all CHOST ABIs, not just default (diff)
downloadcrossdev-3756849289a449ff09e329aaa7e26fbd5739805e.tar.gz
crossdev-3756849289a449ff09e329aaa7e26fbd5739805e.tar.bz2
crossdev-3756849289a449ff09e329aaa7e26fbd5739805e.zip
crossdev: disable default ssp support on x86 and ppc on musl
Set USE=-ssp by default. User can still manually override via environment variable to see how it breaks: USE=ssp crossdev -t i686-gentoo-linux-musl Reported-by: Andrew Aladjev Bug: https://bugs.gentoo.org/706210 Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
-rwxr-xr-xcrossdev3
1 files changed, 3 insertions, 0 deletions
diff --git a/crossdev b/crossdev
index b0c44c5..c370535 100755
--- a/crossdev
+++ b/crossdev
@@ -416,6 +416,9 @@ parse_target() {
# [1.]: no -fstack-protector flag support:
# check as '$CC -fstack-protector -c -x c - </dev/null'
alpha*|avr*|hppa*|ia64*|mmix*|nios2*) ssp_support=no;;
+ # [2.]: musl does not provide __stack_chk_fail_local:
+ # and is broken on ARCH=x86 and ppc32: https://bugs.gentoo.org/706210
+ i[3-6]86-*-musl*|powerpc-*-musl*|powerpcle-*-musl*) ssp_support=no;;
esac
if [[ $ssp_support = "no" ]]; then
# ssp is >=gcc-6, nossp is <gcc-6